stages:
  - name: blue-build
    from: rust
    modules:
      - type: containerfile
        snippets:
          - |
            RUN cargo install blue-build --all-features --target x86_64-unknown-linux-gnu \
              && mkdir -p /out/ \
              && mv $CARGO_HOME/bin/bluebuild /out/bluebuild
modules:
  - type: copy
    from: blue-build
    src: /out/bluebuild
    dest: /usr/bin/bluebuild
